org.apache.xmlbeans.impl.xb.xsdschema

## Class AllNNI.Member.Enum

- java.lang.Object
- - org.apache.xmlbeans.StringEnumAbstractBase
  - - org.apache.xmlbeans.impl.xb.xsdschema.AllNNI.Member.Enum

All Implemented Interfaces:
  Serializable

Enclosing interface:
  AllNNI.Member

    public static final class AllNNI.Member.Enum
    extends StringEnumAbstractBase

Enumeration value class for org.apache.xmlbeans.impl.xb.xsdschema.AllNNI$Member. These enum values can be used as follows:

     enum.toString(); // returns the string value of the enum
     enum.intValue(); // returns an int value, useful for switches
     // e.g., case Enum.INT_UNBOUNDED
     Enum.forString(s); // returns the enum value for a string
     Enum.forInt(i); // returns the enum value for an int

Enumeration objects are immutable singleton objects that can be compared using == object equality. They have no public constructor. See the constants defined within this class for all the valid values.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.xmlbeans.StringEnumAbstractBase

`StringEnumAbstractBase.Table`

### Field Summary

Fields
`static StringEnumAbstractBase.Table` `table`

### Method Summary

All Methods Static Methods Concrete Methods
`static AllNNI.Member.Enum` `forInt(int i)` Returns the enum value corresponding to an int, or null if none.
`static AllNNI.Member.Enum` `forString(String s)` Returns the enum value for a string, or null if none.

### Methods inherited from class org.apache.xmlbeans.StringEnumAbstractBase

`hashCode, intValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### table

    public static final StringEnumAbstractBase.Table table

### Method Detail

#### forString

    public static AllNNI.Member.Enum forString(String s)

Returns the enum value for a string, or null if none.

#### forInt

    public static AllNNI.Member.Enum forInt(int i)

Returns the enum value corresponding to an int, or null if none.